#!/bin/bash -ex

# set up ONOS build environment
ONOS_ROOT=`pwd`
. tools/build/envDefaults

# extract GPG key
base64 -d secring.gpg.b64 >secring.gpg

env
 
# set up release build credentials
. onos-build-credentials

env

git config user.email "jenkins@onosproject.org"
git config user.name "ONOS Jenkins User"

# stage the maven settings
mkdir -p ~/.m2
mv settings.xml ~/.m2/settings.xml

# stage the gpg key
mkdir -p ~/.gnupg
mv secring.gpg ~/.gnupg 

# run the build
onos-build-and-upload ${ONOS_VERSION} ${ONOS_NEXT_VERSION} ${GERRIT_BRANCH}
